# Spaces

## The space Object

* [Properties](#properties)
* [Events](#events)
* [Endpoints](#endpoints)

Represents a space that is a logical grouping of devices and entrances. You can assign access to an entire space, thereby making granting access more efficient.

{% tabs %}
{% tab title="Space" %}
A space resource.

```json
{
  "created_at": "2025-06-16T16:54:17.946600Z",
  "display_name": "My Space",
  "name": "My Space",
  "space_id": "5afeb047-3277-4102-b8c4-99edf05b91d2",
  "workspace_id": "96bd12f9-6def-4bf4-b517-760417451ae9"
}
```

{% endtab %}
{% endtabs %}

***

## Properties

**`acs_entrance_count`** *Number*

Number of entrances in the space.

***

**`created_at`** *Datetime*

Date and time at which the space was created.

***

**`customer_key`** *String*

Customer key associated with the space.

***

**`device_count`** *Number*

Number of devices in the space.

***

**`display_name`** *String*

Display name for the space.

***

**`name`** *String*

Name of the space.

***

**`space_id`** *UUID*

ID of the space.

***

**`space_key`** *String*

Unique key for the space within the workspace.

***

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the space.

***

## Events

**`space.device_membership_changed`**

A device was added or removed from a space.

<details>

<summary>Properties</summary>

**`acs_entrance_ids`** *List* *of UUIDs*

IDs of all ACS entrances currently attached to the space.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_ids`** *List* *of UUIDs*

IDs of all devices currently attached to the space.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Type of the event.

Value: `space.device_membership_changed`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`space_id`** *UUID*

ID of the affected space.

**`space_key`** *String*

Unique key for the space within the workspace.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`space.created`**

A space was created.

<details>

<summary>Properties</summary>

**`acs_entrance_ids`** *List* *of UUIDs*

IDs of all ACS entrances attached to the space when it was created.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_ids`** *List* *of UUIDs*

IDs of all devices attached to the space when it was created.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Type of the event.

Value: `space.created`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`space_id`** *UUID*

ID of the affected space.

**`space_key`** *String*

Unique key for the space within the workspace.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`space.deleted`**

A space was deleted.

<details>

<summary>Properties</summary>

**`acs_entrance_ids`** *List* *of UUIDs*

IDs of all ACS entrances currently attached to the space when it was deleted.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_ids`** *List* *of UUIDs*

IDs of all devices attached to the space when it was deleted.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Type of the event.

Value: `space.deleted`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`space_id`** *UUID*

ID of the affected space.

**`space_key`** *String*

Unique key for the space within the workspace.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

## Endpoints

[**`/spaces/add_acs_entrances`**](/latest/api/spaces/add_acs_entrances.md)

Adds [entrances](https://docs.seam.co/latest/capability-guides/access-systems/retrieving-entrance-details) to a specific space.

[**`/spaces/add_devices`**](/latest/api/spaces/add_devices.md)

Adds devices to a specific space.

[**`/spaces/create`**](/latest/api/spaces/create.md)

Creates a new space.

[**`/spaces/delete`**](/latest/api/spaces/delete.md)

Deletes a space.

[**`/spaces/get`**](/latest/api/spaces/get.md)

Gets a space.

[**`/spaces/get_related`**](/latest/api/spaces/get_related.md)

Gets all related resources for one or more Spaces.

[**`/spaces/list`**](/latest/api/spaces/list.md)

Returns a list of all spaces.

[**`/spaces/remove_acs_entrances`**](/latest/api/spaces/remove_acs_entrances.md)

Removes [entrances](https://docs.seam.co/latest/capability-guides/access-systems/retrieving-entrance-details) from a specific space.

[**`/spaces/remove_devices`**](/latest/api/spaces/remove_devices.md)

Removes devices from a specific space.

[**`/spaces/update`**](/latest/api/spaces/update.md)

Updates an existing space.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/spaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
